/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package nl.cloudfarming.client.fleet;

import java.io.IOException;
import org.netbeans.api.project.Project;
import org.netbeans.api.project.ProjectManager;
import org.netbeans.spi.project.ProjectFactory;
import org.netbeans.spi.project.ProjectState;
import org.openide.filesystems.FileObject;
import org.openide.util.Exceptions;
import org.openide.util.lookup.ServiceProvider;

/**
 *
 * @author maciek
 */
@ServiceProvider(service=ProjectFactory.class)
public class ImplementProjectFactory implements ProjectFactory {
    public static final String IMPLEMENT_DIR = "Implements";
    public static final String ICON = "nl/cloudfarming/client/fleet/implement.png";

    @Override
    public boolean isProject(FileObject projectDirectory) {
        return isImplementProjectDirectory(projectDirectory) && hasFleetProjectParent(projectDirectory);
    }
    
    private boolean isImplementProjectDirectory(FileObject projectDirectory) {
        return projectDirectory.getName().equalsIgnoreCase(IMPLEMENT_DIR);
    }
    
    private boolean hasFleetProjectParent(FileObject projectDirectory) {
        Project parentProject = null;
        try {
            parentProject = ProjectManager.getDefault().findProject(projectDirectory.getParent());
        } catch (Exception ex) {
            Exceptions.printStackTrace(ex);
        }
        return parentProject != null && parentProject instanceof FleetProject;
    }

    @Override
    public Project loadProject(FileObject dir, ProjectState state) throws IOException {
        return isProject(dir) ? new ImplementProject(dir, state) : null;
    }

    @Override
    public void saveProject(final Project project) throws IOException, ClassCastException {
        FileObject projectRoot = project.getProjectDirectory();
        if (projectRoot.getFileObject(IMPLEMENT_DIR) == null) {
            throw new IOException("Project dir " + projectRoot.getPath() +
                    " deleted," +
                    " cannot save project");
        }
    }
}
