/**
 * Copyright (C) 2011 Agrosense <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.fleet;

import org.netbeans.spi.project.ui.LogicalViewProvider;
import org.openide.filesystems.FileObject;
import org.openide.loaders.DataFolder;
import org.openide.nodes.Node;

/**
 *
 * @author Wytse Visser
 */
class VehicleProjectLogicalView implements LogicalViewProvider {

    private VehicleProject project;

    public VehicleProjectLogicalView(VehicleProject project) {
        this.project = project;
    }

    @Override
    public Node createLogicalView() {
        //Get the Text directory, creating if deleted
        FileObject projectDirectory = project.getProjectDirectory();
        DataFolder fleetFolder = DataFolder.findFolder(projectDirectory);

        //This FilterNode will be our project node
        return new VehicleProjectNode(fleetFolder.getNodeDelegate(), project);
    }

    @Override
    public Node findPath(Node node, Object o) {
        throw new UnsupportedOperationException("Not supported yet.");
    }
}
