/**
 * Copyright (C) 2011 Agrosense <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License"); you may
 * not use this file except in compliance with the License. You may obtain a
 * copy of the License at
 *
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package nl.cloudfarming.client.fleet;

import java.awt.Image;
import javax.swing.Action;
import org.openide.nodes.FilterNode;
import org.openide.nodes.Node;
import org.openide.util.ImageUtilities;

/**
 *
 * @author Wytse Visser
 */
public class VehicleProjectNode extends FilterNode {
    private VehicleProject project;
    
    public VehicleProjectNode(Node original, VehicleProject project) {
        super(original);
        this.project = project;
    }

    @Override
    public String getDisplayName() {
        return "Vehicles";
    }
    
    @Override
    public Image getIcon(int type) {
        return ImageUtilities.loadImage(VehicleProjectFactory.ICON);
    }

    @Override
    public Image getOpenedIcon(int type) {
        return getIcon(type);
    }
    
    @Override
    public Action[] getActions(boolean context) {
        Action[] actions = new Action[1];
        actions[0] = new VehicleWizardAction(project);
        return actions;
    }
}